{
  "name": "@dage/pc-components",
  "version": "1.2.9",
  "description": "PC 端组件库",
  "module": "dist/index.js",
  "main": "dist/index.js",
  "typings": "dist/index.d.ts",
  "files": [
    "dist",
    "babel-import-config.js"
  ],
  "scripts": {
    "start": "tsc --build tsconfig.build.json --watch",
    "prebuild": "rimraf dist",
    "build": "tsc --build tsconfig.build.json",
    "copy": "cpx \"src/**/*.+(scss|jpg|jpeg|gif|png|svg|css)\" ./dist",
    "metadata": "node ./scripts/metadata.js",
    "postbuild": "npm run copy && npm run metadata",
    "type-check": "tsc --noEmit",
    "test": "jest"
  },
  "peerDependencies": {
    "@ant-design/icons": "5.*",
    "antd": "5.*",
    "lodash": "4.*",
    "react": ">=18",
    "react-dom": ">=18"
  },
  "devDependencies": {
    "@babel/core": "^7.22.10",
    "@babel/preset-env": "^7.22.10",
    "@babel/preset-typescript": "^7.22.5",
    "@types/lodash": "^4.14.197",
    "@types/react": "^18.2.20",
    "babel-jest": "^29.6.2",
    "cpx": "^1.5.0",
    "jest": "^29.6.2"
  },
  "license": "MIT",
  "dependencies": {
    "@amap/amap-react": "^0.1.5",
    "@dage/service": "workspace:^",
    "@dage/utils": "workspace:^",
    "styled-components": "^6.0.7"
  }
}
